<template>
  <div class="domain-settings-grid">
    <domain-settings-group
            v-for="(settingsGroup, index) in settings"
            :key="index"
            :settings-group="settingsGroup"
            :show-delete="showDelete"
            :is-expeditor="isExpeditor"
            @change-setting="changeSetting"
            @save="onSave"
            @revert="onRevert"
            @delete="$emit('delete', $event)"
    ></domain-settings-group>
  </div>
</template>

<script>

import DomainSettingsGroup from "./DomainSettingsGroup";
export default {
  name: 'DomainSettingsGrid',
  components: {
    DomainSettingsGroup
  },
  props: {
    isExpeditor: {
      type: Boolean,
      default: false
    },
    showDelete: {
      type: Boolean,
      default: false
    },
    settings: {
      type: Array,
      required: true
    }
  },
  data: () => {
    return {

    }
  },
  methods: {
    changeSetting (row, access, status, group) {
      this.$emit('change-setting', row, access, status, group)
    },
    onSave (row) {
      this.$emit('save', row)
    },
    onRevert (row) {
      this.$emit('revert', row)
    },
  }
}
</script>

<style lang="scss" scoped>
  .domain-settings-grid {
    width: 100%;
  }
</style>
